Package be.ehealth.businessconnector.genericasync.builders

# Interface RequestObjectBuilder

All Superinterfaces:
  `ConfigurableImplementation`

All Known Implementing Classes:
  `RequestObjectBuilderImpl`

public interface RequestObjectBuilder extends ConfigurableImplementation
Interface with the methods used to created the consult or notify request. Default impl : `RequestObjectBuilderImpl` Factory : `BuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Confirm`
  `buildConfirmRequest(OrigineType origin, List<MsgResponse> msgResponses, List<TAckResponse> tackResponses)`
  Builds a Confirm request from given parameters
  `Confirm`
  `buildConfirmRequestWithHashes(OrigineType origin, List<byte[]> msgHashValues, List<byte[]> tackContents)`
  Builds a Confirm request from given parameters
  `Confirm`
  `buildConfirmWithReferences(OrigineType origin, GetResponse getResponse)`
  Builds a Confirm request, using references as tAck as message identifiers
  `Get`
  `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery)`
  Builds a Get request from given parameters
  `Get`
  `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, byte[] replyToEtk)`
  `Get`
  `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters)`
  `Get`
  `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters, byte[] replyToEtk)`
  `Post`
  `buildPostRequest(CommonInput commonInput, Blob blob, byte[] xades)`
  Builds a Post request from given parameters
  `Post`
  `buildPostRequest(String projectName, PostContent postContent)`
  Builds a Post request from given parameters
  `Post`
  `buildPostRequest(String messageName, String projectName, String platformName, byte[] xmlByteArray, InputReference inputReference)`
  `Post`
  `buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference)`
  `Post`
  `buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference, String messageVersion)`
  `Post`
  `buildPostRequest(String messageName, String projectName, String platformName, Object object, String schemaLocation, InputReference inputReference)`
  `MsgQuery`
  `createMsgQuery(Integer max, Boolean include, String... messageNames)`
  convenience builder for `MsgQuery`
  `Query`
  `createQuery(Integer max, Boolean include)`
  O creates the `Query` object.

  ### Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation

  `initialize`

- ## Method Details

  - ### createQuery

    Query createQuery(Integer max, Boolean include)
    O creates the `Query` object.
    Parameters:
      `max` - maximum number of tack results
      `include` - set to false if no responses should be returned, the default value is 'true'
    Returns:
      `Query`

  - ### createMsgQuery

    MsgQuery createMsgQuery(Integer max, Boolean include, String... messageNames)
    convenience builder for `MsgQuery`
    Parameters:
      `max` - maximum number of tack results
      `include` - set to false if no responses should be returned, the default value is 'true'
      `messageNames` - indicate the message types to receive, if no names are given , all messages for careProvider will be returned
    Returns:
      `MsgQuery`

  - ### buildPostRequest

    Post buildPostRequest(CommonInput commonInput, Blob blob, byte[] xades)
    Builds a Post request from given parameters
    Parameters:
      `commonInput` - the common input
      `blob` - the details of the transaction
      `xades` - the xades
    Returns:
      the Post object

  - ### buildPostRequest

    Post buildPostRequest(String projectName, PostContent postContent) throws TechnicalConnectorException
    Builds a Post request from given parameters
    Parameters:
      `projectName` - the name of the connector project
      `postContent` - a pojo holding the post parameters
    Returns:
      the Post object
    Throws:
      `TechnicalConnectorException`

  - ### buildGetRequest

    Get buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery)
    Builds a Get request from given parameters
    Parameters:
      `origin` - the origin
      `msgQuery` - the message query
      `tackQuery` - the tack query
    Returns:
      the Get object

  - ### buildGetRequest

    Get buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters)

  - ### buildGetRequest

    Get buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters, byte[] replyToEtk)

  - ### buildGetRequest

    Get buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, byte[] replyToEtk)

  - ### buildConfirmRequest

    Confirm buildConfirmRequest(OrigineType origin, List<MsgResponse> msgResponses, List<TAckResponse> tackResponses) throws TechnicalConnectorException, DataFormatException
    Builds a Confirm request from given parameters
    Parameters:
      `origin` - the origin
      `msgResponses` - the list of messages responses (from the get response)
      `tackResponses` - tackContents the tack contents (from the get response)
    Returns:
      the Confirm object
    Throws:
      `DataFormatException` - if an error occurs while decompressing the blob
      `TechnicalConnectorException`

  - ### buildConfirmRequestWithHashes

    Confirm buildConfirmRequestWithHashes(OrigineType origin, List<byte[]> msgHashValues, List<byte[]> tackContents)
    Builds a Confirm request from given parameters
    Parameters:
      `origin` -
      `msgHashValues` -
      `tackContents` -
    Returns:

  - ### buildConfirmWithReferences

    Confirm buildConfirmWithReferences(OrigineType origin, GetResponse getResponse)
    Builds a Confirm request, using references as tAck as message identifiers
    Parameters:
      `origin` - the origin of the confirm
      `getResponse` - the response of the get for which we want to confirm tAck and messages
    Returns:

  - ### buildPostRequest

    Post buildPostRequest(String messageName, String projectName, String platformName, Object object, String schemaLocation, InputReference inputReference) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### buildPostRequest

    Post buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### buildPostRequest

    Post buildPostRequest(String messageName, String projectName, String platformName, byte[] xmlByteArray, InputReference inputReference) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### buildPostRequest

    Post buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference, String messageVersion) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`